Subject: Re: "Up (dir)" HTML link is 404

From: [email-masked] (Ludovic Courtès)
Date: Thu, 05 May 2016 14:47:58 +0200

Hi,

Gavin Smith <[email-masked]> skribis:

> The way to deal with this broken link at the moment is to use the
> TOP_NODE_UP customization variable, like
>
>  makeinfo --html -c TOP_NODE_UP_URL=/manual/ ...
>
> https://www.gnu.org/software/texinfo/manual/texinfo/html_node/First-Node.html#First-Node

That sounds good, I didn’t know about this variable.

I propose to submit this patch to Gnulib’s gendocs.sh:

--- a/build-aux/gendocs.sh
+++ b/build-aux/gendocs.sh
@@ -2,9 +2,9 @@
 # gendocs.sh -- generate a GNU manual in many formats.  This script is
 #   mentioned in maintain.texi.  See the help message below for usage details.
 
-scriptversion=2015-04-16.10
+scriptversion=2016-05-05.14
 
-# Copyright 2003-2015 Free Software Foundation, Inc.
+# Copyright 2003-2016 Free Software Foundation, Inc.
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -142,7 +142,7 @@ EMAIL=[email-masked]  # please override with --email
 commonarg= # passed to all makeinfo/texi2html invcations.
 dirargs=   # passed to all tools (-I dir).
 dirs=      # -I directories.
-htmlarg="--css-ref=/software/gnulib/manual.css"
+htmlarg="--css-ref=/software/gnulib/manual.css -c TOP_NODE_UP_URL=/manual/"
 infoarg=--no-split
 generate_ascii=true
 generate_html=true

WDYT?

Thanks,
Ludo’.